Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::GraphicsThread::Operation Struct Reference

Base class for implementing GraphicsThread operations. More...

Inheritance diagram for osg::GraphicsThread::Operation:

[legend]
List of all members.

## Public Member Functions
| Operation (const std::string &name, bool keep)
void | setName (const std::string &name)
| Set the human readable name of the operation.
const std::string & | getName () const
| Get the human readable name of the operation.
void | setKeep (bool keep)
| Set whether the operation should be kept once its been applied.
bool | getKeep () const
| Get whether the operation should be kept once its been applied.
virtual void | release ()
| if this operation is a barrier then release it.
virtual void | operator() (GraphicsContext *)
| Do the actual task of this operation.
## Public Attributes
std::string | _name
bool | _keep

## Detailed Description

Base class for implementing GraphicsThread operations.

## Constructor & Destructor Documentation

osg::GraphicsThread::Operation::Operation | ( | const std::string & | name,
|  | bool | keep
| ) | `[inline]`

## Member Function Documentation

bool osg::GraphicsThread::Operation::getKeep | ( |  | ) | const`[inline]`

| Get whether the operation should be kept once its been applied.

const std::string& osg::GraphicsThread::Operation::getName | ( |  | ) | const`[inline]`

| Get the human readable name of the operation.

virtual void osg::GraphicsThread::Operation::operator() | ( | GraphicsContext * |  | ) | `[inline, virtual]`

| Do the actual task of this operation. Reimplemented in osg::SwapBuffersOperation, osg::BarrierOperation, and osg::ReleaseContext_Block_MakeCurrentOperation.

virtual void osg::GraphicsThread::Operation::release | ( |  | ) | `[inline, virtual]`

| if this operation is a barrier then release it. Reimplemented in osg::BarrierOperation, and osg::ReleaseContext_Block_MakeCurrentOperation.

void osg::GraphicsThread::Operation::setKeep | ( | bool | keep | ) | `[inline]`

| Set whether the operation should be kept once its been applied.

void osg::GraphicsThread::Operation::setName | ( | const std::string & | name | ) | `[inline]`

| Set the human readable name of the operation.

## Member Data Documentation

bool osg::GraphicsThread::Operation::_keep

std::string osg::GraphicsThread::Operation::_name

The documentation for this struct was generated from the following file:

- GraphicsThread